## ktorrent 23.08.0

=== debian/changelog ===
ktorrent (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:38 +0100

ktorrent (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:05 +0100

ktorrent (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:48 +0100

ktorrent (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:29 +0100

ktorrent (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:14 +0000

ktorrent (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:25:04 -0600

ktorrent (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:59 +0000

ktorrent (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build depend on libktorrent-dev (>= 22.12.0~

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 08:12:25 +0000

ktorrent (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:44 +0000

ktorrent (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:58 +0000

ktorrent (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:57 +0000

ktorrent (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:55 +0000

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91~),
               gettext,
               kross-dev (>= 5.82~),
               libboost-dev (>= 1.71.0~),
               libgeoip-dev,
               libkf5archive-dev (>= 5.91~),
               libkf5completion-dev (>= 5.91~),
               libkf5config-dev (>= 5.91~),
               libkf5configwidgets-dev (>= 5.91~),
               libkf5coreaddons-dev (>= 5.91~),
               libkf5crash-dev (>= 5.91~),
               libkf5dbusaddons-dev (>= 5.91~),
               libkf5dnssd-dev (>= 5.91~),
               libkf5doctools-dev (>= 5.91~),
               libkf5i18n-dev (>= 5.91~),
               libkf5iconthemes-dev (>= 5.91~),
               libkf5itemviews-dev (>= 5.91~),
               libkf5kcmutils-dev (>= 5.91~),
               libkf5kio-dev (>= 5.91~),
               libkf5notifications-dev (>= 5.91~),
               libkf5notifyconfig-dev (>= 5.91~),
               libkf5parts-dev (>= 5.91~),
               libkf5plotting-dev (>= 5.91~),
               libkf5solid-dev (>= 5.91~),
               libkf5syndication-dev (>= 1:5.91~),
               libkf5textwidgets-dev (>= 5.91~),
               libkf5widgetsaddons-dev (>= 5.91~),
               libkf5windowsystem-dev (>= 5.91~),
               libkf5xmlgui-dev (>= 5.91~),
               libktorrent-dev (>= 23.08.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libtag1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.7.0),
               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent

Package: ktorrent
Architecture: any
Depends: ktorrent-data (= ${source:Version}),
         libktorrent-l10n,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: geoip-database, krosspython
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

## ktorrent 23.08.1

=== debian/changelog ===
ktorrent (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:36 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.91~),
                libkf5windowsystem-dev (>= 5.91~),
                libkf5xmlgui-dev (>= 5.91~),
-               libktorrent-dev (>= 23.08.0~),
+               libktorrent-dev (>= 23.08.1~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,

## ktorrent 23.08.4

=== debian/changelog ===
ktorrent (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:49 +0000

ktorrent (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:41:05 +0000

ktorrent (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:53 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.91~),
                libkf5windowsystem-dev (>= 5.91~),
                libkf5xmlgui-dev (>= 5.91~),
-               libktorrent-dev (>= 23.08.1~),
+               libktorrent-dev (>= 23.08.4~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,

## ktorrent 23.08.5

=== plugins/ipfilter/CMakeLists.txt ===
ktorrent_add_plugin(ktorrent_ipfilter)

target_sources(ktorrent_ipfilter PRIVATE
    ipblocklist.cpp
    ipblockingprefpage.cpp
    convertthread.cpp
    convertdialog.cpp
    ipfilterplugin.cpp
    downloadandconvertjob.cpp
)

ki18n_wrap_ui(ktorrent_ipfilter ipblockingprefpage.ui convertdialog.ui)
kconfig_add_kcfg_files(ktorrent_ipfilter ipfilterpluginsettings.kcfgc)

target_link_libraries(
    ktorrent_ipfilter
    ktcore
    KF5::Torrent
    KF5::Archive
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOWidgets
    KF5::Notifications
    KF5::TextWidgets
    KF5::WidgetsAddons
)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT5_REQUIRED_VERSION})
if (Qt${QT_MAJOR_VERSION}Test_DIR)
    add_subdirectory(tests)
endif()

=== plugins/mediaplayer/CMakeLists.txt ===
find_package(Taglib REQUIRED)
#find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Multimedia MultimediaWidgets)
#include_directories(${Qt5Multimedia_INCLUDE_DIRS})
include_directories(SYSTEM ${PHONON_INCLUDES})

ktorrent_add_plugin(ktorrent_mediaplayer)

set(ktmediaplayerplugin_dbus_SRC)
set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
qt_add_dbus_interface(ktmediaplayerplugin_dbus_SRC ${screensaver_xml} screensaver_interface)

set(powermanagementinhibit_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.PowerManagement.Inhibit.xml)
qt_add_dbus_interface(ktmediaplayerplugin_dbus_SRC ${powermanagementinhibit_xml} powermanagementinhibit_interface)

target_sources(ktorrent_mediaplayer PRIVATE
	${ktmediaplayerplugin_dbus_SRC}
	mediacontroller.cpp
	playlist.cpp
	playlistwidget.cpp
	mediaplayeractivity.cpp
	mediaplayerplugin.cpp
	mediaview.cpp
	mediamodel.cpp
	mediafile.cpp
	mediafilestream.cpp
	mediaplayer.cpp
	videowidget.cpp
	videochunkbar.cpp
)

ki18n_wrap_ui(ktorrent_mediaplayer mediacontroller.ui)
kconfig_add_kcfg_files(ktorrent_mediaplayer mediaplayerpluginsettings.kcfgc)

target_link_libraries(
    ktorrent_mediaplayer
    ktcore
    Taglib::Taglib
    Phonon::phonon4qt${QT_MAJOR_VERSION}
    KF5::Torrent
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::XmlGui
    KF5::WidgetsAddons
#    Qt:::MultimediaWidgets
    )
install(FILES ktorrent_mediaplayerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktorrent )

=== plugins/zeroconf/CMakeLists.txt ===
ktorrent_add_plugin(ktorrent_zeroconf)

target_sources(ktorrent_zeroconf PRIVATE
    zeroconfplugin.cpp
    torrentservice.cpp
)

# ki18n_wrap_ui(ktorrent_zeroconf zeroconfpref.ui searchbar.ui)
#kconfig_add_kcfg_files(ktorrent_zeroconf zeroconfpluginsettings.kcfgc)

target_link_libraries(ktorrent_zeroconf
    ktcore
    KF5::Torrent
    KF5::CoreAddons
    KF5::DNSSD
    KF5::I18n
)

=== debian/changelog ===
ktorrent (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:36 +1100

ktorrent (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:25:30 +0000

ktorrent (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:19:00 -0700

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                libkf5widgetsaddons-dev (>= 5.91~),
                libkf5windowsystem-dev (>= 5.91~),
                libkf5xmlgui-dev (>= 5.91~),
-               libktorrent-dev (>= 23.08.4~),
+               libktorrent-dev (>= 23.08.5~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libtag1-dev,

## ktorrent 24.08.2

=== debian/changelog ===
ktorrent (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:43:32 +0000

ktorrent (24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Move to declarative dh-sequence-kf6, reenable build-time tests.
  * Update the list of installed files.
  * Replace transitional pkg-config build dependency with pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 15 Sep 2024 20:13:54 +0200

ktorrent (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop unused kross-dev, and qtscript5-dev
  * Drop NEWS file, as the latest entry there was added in 2008.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 06:03:13 +0200

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libboost-dev (>= 1.71.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6dnssd-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemviews-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6notifyconfig-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6plotting-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 5.240.0~),
               libkf6syndication-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libktorrent-dev (>= 24.08.2~),
               libmaxminddb-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libtag1-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/ktorrent
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent

Package: ktorrent
Architecture: any
Depends: ktorrent-data (= ${source:Version}),
         libktorrent-l10n,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: geoip-database, krosspython,
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends},
Recommends: ktorrent (>= ${source:Version}),
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

## ktorrent 24.12.0

=== debian/changelog ===
ktorrent (24.12.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 21:46:23 -0500

ktorrent (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:27:56 +0100

ktorrent (24.08.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 21:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -36,11 +35,11 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 24.08.2~),
+               libktorrent-dev (>= 24.04.70~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
-               libtag1-dev,
+               libtag-dev,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
@@ -50,8 +49,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
 
 Package: ktorrent
 Architecture: any

## ktorrent 24.12.1

=== debian/changelog ===
ktorrent (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:16:39 +0000

ktorrent (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:20:17 +0000

ktorrent (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:14:00 +0000

ktorrent (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:51:33 +0000

ktorrent (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:46:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -35,11 +36,11 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 24.04.70~),
+               libktorrent-dev (>= 24.12.1~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
-               libtag-dev,
+               libtag1-dev,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),
@@ -49,8 +50,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
 
 Package: ktorrent
 Architecture: any

## ktorrent 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KTorrent VERSION ${RELEASE_SERVICE_VERSION})


# We want RELEASE_SERVICE_VERSION_MINOR to have 08 but the integer define can't have a leading 0 since otherwise it's considered octal
# So strip a leading 0 if found in RELEASE_SERVICE_VERSION_MINOR and store the result in RELEASE_SERVICE_VERSION_MINOR_INT
string(REGEX REPLACE "^0?(.+)$" "\\1" RELEASE_SERVICE_VERSION_MINOR_INT "${RELEASE_SERVICE_VERSION_MINOR}")


add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"'
                -D'VERSION_MAJOR=${RELEASE_SERVICE_VERSION_MAJOR}'
                -D'VERSION_MINOR=${RELEASE_SERVICE_VERSION_MINOR_INT}'
                -D'VERSION_MICRO=${RELEASE_SERVICE_VERSION_MICRO}')

set (QT_MIN_VERSION "6.5.0")
set (KF_MIN_VERSION "5.240.0")
set (LIBKTORRENT_MIN_VERSION "24.04.70")
set (Boost_MIN_VERSION "1.71.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(KDEClangFormat)
include(KDEGitCommitHooks)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    DBus
    Network
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
  COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    GlobalAccel
    I18n
    IconThemes
    KIO
    Notifications
    NotifyConfig
    KCMUtils
    Parts
    Solid
    StatusNotifierItem
    WidgetsAddons
    WindowSystem
    XmlGui
  OPTIONAL_COMPONENTS
    DocTools
)

find_package(Qt6Core5Compat ${QT_MIN_VERSION})
set_package_properties(Qt6Core5Compat
  PROPERTIES
  TYPE REQUIRED
  PURPOSE "PUBLIC Required for libktorrent"
)

find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt6Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL
)
add_feature_info("Qt6Test" Qt6Test_FOUND "Required for building tests")
if (NOT Qt6Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KTorrent6 ${LIBKTORRENT_MIN_VERSION} CONFIG REQUIRED)
find_package(Boost ${Boost_MIN_VERSION} REQUIRED)

find_package(KF6TextWidgets ${KF_MIN_VERSION})
set_package_properties(KF6TextWidgets
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's IP Filter plugin"
)
if(KF6TextWidgets_FOUND)
  set(HAVE_KF6TextWidgets 1)
endif()

find_package(KF6ItemViews ${KF_MIN_VERSION})
set_package_properties(KF6ItemViews
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's scripting plugin"
)
if(KF6ItemViews_FOUND)
  set(HAVE_KF6ItemViews 1)
endif()

find_package(KF6Plotting ${KF_MIN_VERSION})
set_package_properties(KF6Plotting
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's statistics plugin"
)
if(KF6Plotting_FOUND)
  set(HAVE_KF6Plotting 1)
endif()

find_package(KF6Syndication ${KF_MIN_VERSION})
set_package_properties(KF6Syndication
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's syndication plugin"
)
if(KF6Syndication_FOUND)
  set(HAVE_KF6Syndication 1)
endif()

find_package(Qt6WebEngineWidgets ${QT_MIN_VERSION})
set_package_properties(Qt6WebEngineWidgets
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's search and syndication plugins"
)
if(Qt6WebEngineWidgets_FOUND)
  set(HAVE_Qt6WebEngineWidgets 1)
endif()

find_package(KF6DNSSD ${KF_MIN_VERSION})
set_package_properties(KF6DNSSD
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's Zeroconf plugin"
)
if(KF6DNSSD_FOUND)
  set(HAVE_KF6DNSSD 1)
endif()

find_package(KF6Completion ${KF_MIN_VERSION})
set_package_properties(KF6Completion
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's UPnP plugin"
)
if(KF6Completion_FOUND)
  set(HAVE_KF6Completion 1)
endif()

#find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Multimedia MultimediaWidgets)

find_package(Taglib)
set_package_properties(Taglib
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's multimedia plugin"
)

if(TAGLIB_FOUND)
  set(HAVE_Taglib 1)
endif()

find_package(Phonon4Qt6)
set_package_properties(Phonon4Qt6
  PROPERTIES
  TYPE OPTIONAL
  PURPOSE "Required for KTorrent's multimedia plugin"
)


#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS


# according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
kde_enable_exceptions()

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

set (KTORRENT_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/dbus_xml)
set (KTORRENT_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/ktorrent)


add_subdirectory(libktcore)
add_subdirectory(plugins)
add_subdirectory(ktorrent)
add_subdirectory(ktupnptest)
add_subdirectory(ktmagnetdownloader)
if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()
ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktorrent (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current verion of libktorrent.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Mar 2025 11:14:40 +0000

ktorrent (24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -36,11 +36,11 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 24.12.1~),
+               libktorrent-dev (>= 24.12.3~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
-               libtag1-dev,
+               libtag-dev,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),
                qt6-base-dev (>= 6.5.0~),

## ktorrent 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KTorrent VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -18,9 +18,9 @@
                 -D'VERSION_MINOR=${RELEASE_SERVICE_VERSION_MINOR_INT}'
                 -D'VERSION_MICRO=${RELEASE_SERVICE_VERSION_MICRO}')
 
-set (QT_MIN_VERSION "6.5.0")
+set (QT_MIN_VERSION "6.7.0")
 set (KF_MIN_VERSION "5.240.0")
-set (LIBKTORRENT_MIN_VERSION "24.04.70")
+set (LIBKTORRENT_MIN_VERSION "25.03.70")
 set (Boost_MIN_VERSION "1.71.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
@@ -63,7 +63,6 @@
     NotifyConfig
     KCMUtils
     Parts
-    Solid
     StatusNotifierItem
     WidgetsAddons
     WindowSystem
@@ -73,11 +72,6 @@
 )
 
 find_package(Qt6Core5Compat ${QT_MIN_VERSION})
-set_package_properties(Qt6Core5Compat
-  PROPERTIES
-  TYPE REQUIRED
-  PURPOSE "PUBLIC Required for libktorrent"
-)
 
 find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
 set_package_properties(Qt6Test PROPERTIES
@@ -205,7 +199,7 @@
   -DQT_NO_KEYWORDS
   -DQT_USE_FAST_OPERATOR_PLUS
 )
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060500)
 add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 
 set (KTORRENT_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/dbus_xml)

=== ktupnptest/CMakeLists.txt ===
add_executable(ktupnptest)

target_sources(ktupnptest PRIVATE main.cpp upnptestwidget.cpp)

ki18n_wrap_ui(ktupnptest upnptestwidget.ui)

target_link_libraries(
    ktupnptest
    Qt6::Network
    KTorrent6
    KF6::CoreAddons
    KF6::I18n
)
install(TARGETS ktupnptest ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libktcore/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktcore.h.cmake ${CMAKE_BINARY_DIR}/config-ktcore.h)

include_directories(${CMAKE_BINARY_DIR})

add_library(ktcore)
set_target_properties(ktcore PROPERTIES
    VERSION 16.0.0
    SOVERSION 16
)

target_sources(ktcore PRIVATE
	util/mmapfile.cpp
	util/itemselectionmodel.cpp
	util/stringcompletionmodel.cpp
	util/treefiltermodel.cpp
	
	interfaces/functions.cpp
	interfaces/plugin.cpp
	interfaces/guiinterface.cpp
	interfaces/coreinterface.cpp
	interfaces/prefpageinterface.cpp
	interfaces/activity.cpp
	interfaces/torrentactivityinterface.cpp
	
	torrent/queuemanager.cpp
	torrent/magnetmanager.cpp
	torrent/torrentfilemodel.cpp
	torrent/torrentfiletreemodel.cpp
	torrent/torrentfilelistmodel.cpp
	torrent/chunkbar.cpp 
	torrent/chunkbarrenderer.cpp
	torrent/jobtracker.cpp
	torrent/jobprogresswidget.cpp 
	torrent/basicjobprogresswidget.cpp 
	
	groups/group.cpp
	groups/torrentgroup.cpp
	groups/allgroup.cpp
	groups/ungroupedgroup.cpp
	groups/groupmanager.cpp
	groups/functiongroup.cpp
	groups/grouptreemodel.cpp
	
	dbus/dbus.cpp
	dbus/dbustorrent.cpp
	dbus/dbusgroup.cpp
	dbus/dbussettings.cpp
	dbus/dbustorrentfilestream.cpp
	
	gui/centralwidget.cpp
	gui/tabbarwidget.cpp
	gui/extender.cpp
	
	plugin/pluginmanager.cpp
	plugin/pluginactivity.cpp

	ktorrent.kcfg
)

ki18n_wrap_ui(ktcore torrent/basicjobprogresswidget.ui)
kconfig_add_kcfg_files(ktcore settings.kcfgc)
generate_export_header(ktcore BASE_NAME ktcore)

target_link_libraries(ktcore PUBLIC
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtils
    KF6::Parts
    KTorrent6
    KF6::XmlGui
)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

target_include_directories(ktcore PUBLIC "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/libktcore>")

install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== plugins/CMakeLists.txt ===
MACRO (MACRO_KT_PLUGIN _option _name _dir)
option(${_option} "Whether to build the ${_name} plugin or not" true)
if (${_option})
  message(STATUS "Building ${_name} plugin (-D${_option}=false to disable)")
  add_subdirectory(${_dir})
else (${_option})
  message(STATUS "Not building ${_name} plugin (-D${_option}=true to enable)")
endif (${_option})
ENDMACRO (MACRO_KT_PLUGIN)

function(ktorrent_add_plugin name)
    kcoreaddons_add_plugin(${name} INSTALL_NAMESPACE "ktorrent_plugins")
endfunction()

macro_kt_plugin(ENABLE_LOGVIEWER_PLUGIN logviewer logviewer)
macro_kt_plugin(ENABLE_INFOWIDGET_PLUGIN infowidget infowidget)
if (HAVE_KF6Completion)
    macro_kt_plugin(ENABLE_UPNP_PLUGIN upnp upnp)
endif()
if (HAVE_Qt6WebEngineWidgets)
  macro_kt_plugin(ENABLE_SEARCH_PLUGIN search search)
endif()
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanfolder scanfolder)
macro_kt_plugin(ENABLE_SCANFOLDER_PLUGIN scanforlostfiles scanforlostfiles)
if(HAVE_QT6_Test)
  set(HAVE_QT6_Test2 1)
endif()
if (HAVE_KF6TextWidgets)
    macro_kt_plugin(ENABLE_IPFILTER_PLUGIN ipfilter ipfilter)
endif()
if (HAVE_KF6Plotting)
    macro_kt_plugin(ENABLE_STATS_PLUGIN stats stats)
endif()
macro_kt_plugin(ENABLE_BWSCHEDULER_PLUGIN bwscheduler bwscheduler)
if (HAVE_Taglib AND PHONON_FOUND_EXPERIMENTAL) #AND Qt6Multimedia_FOUND)
  macro_kt_plugin(ENABLE_MEDIAPLAYER_PLUGIN mediaplayer mediaplayer)
endif()
if (HAVE_KF6Syndication AND HAVE_Qt6WebEngineWidgets)
  macro_kt_plugin(ENABLE_SYNDICATION_PLUGIN syndication syndication)
endif()
macro_kt_plugin(ENABLE_DOWNLOADORDER_PLUGIN downloadorder downloadorder)
macro_kt_plugin(ENABLE_SHUTDOWN_PLUGIN shutdown shutdown)
if (HAVE_KF6DNSSD)
  macro_kt_plugin(ENABLE_ZEROCONF_PLUGIN zeroconf zeroconf)
endif()
macro_kt_plugin(ENABLE_MAGNETGENERATOR_PLUGIN magnetgenerator magnetgenerator)

=== plugins/search/CMakeLists.txt ===
ktorrent_add_plugin(SearchPlugin)

target_sources(SearchPlugin PRIVATE
	webview.cpp 
	searchenginelist.cpp 
	searchprefpage.cpp 
	searchwidget.cpp 
	searchplugin.cpp 
	searchengine.cpp 
	opensearchdownloadjob.cpp
        searchactivity.cpp
        proxy_helper.cpp
        magneturlschemehandler.cpp)

ki18n_wrap_ui(SearchPlugin searchpref.ui)
kconfig_add_kcfg_files(SearchPlugin searchpluginsettings.kcfgc)

target_link_libraries(
    SearchPlugin
    ktcore
    Qt6::WebEngineWidgets
    KTorrent6
    KF6::CoreAddons
    KF6::Completion
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    KF6::IconThemes
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Notifications
    KF6::WidgetsAddons
    KF6::XmlGui
)

install(FILES ktorrent_searchui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/ktorrent )

add_subdirectory(opensearch)
add_subdirectory(home)

=== plugins/ipfilter/tests/CMakeLists.txt ===
include(ECMAddTests)
ecm_add_test(ipblocklisttest.cpp ../ipblocklist.cpp TEST_NAME ipblocklisttest LINK_LIBRARIES ktcore Qt6::Core Qt6::Network KTorrent6  Qt6::Test)

=== debian/changelog ===
ktorrent (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -36,22 +35,22 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 24.12.3~),
+               libktorrent-dev (>= 25.03.70~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libtag-dev,
                pkgconf,
-               qt6-5compat-dev (>= 6.5.0~),
-               qt6-base-dev (>= 6.5.0~),
-               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
+               qt6-5compat-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
 
 Package: ktorrent
 Architecture: any

## ktorrent 25.04.3

=== debian/changelog ===
ktorrent (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:52:38 +0100

ktorrent (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:56:42 +0100

ktorrent (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:14:55 +0100

ktorrent (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libboost-dev (>= 1.71.0~),
@@ -35,22 +36,22 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.03.70~),
+               libktorrent-dev (>= 25.04.3~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libtag-dev,
                pkgconf,
-               qt6-5compat-dev (>= 6.7.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
+               qt6-5compat-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~) [amd64 arm64 armhf i386],
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/ktorrent
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktorrent.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktorrent
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktorrent
 
 Package: ktorrent
 Architecture: any

## ktorrent 25.07.80

=== debian/changelog ===
ktorrent (25.07.80-0ubuntu2) questing; urgency=medium

  * Add build depend on libssl-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 13:18:17 +0100

ktorrent (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:21:27 +0100

=== debian/control ===
--- 
+++ 
@@ -36,10 +36,11 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.04.3~),
+               libktorrent-dev (>= 25.07.80~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
+               libssl-dev,
                libtag-dev,
                pkgconf,
                qt6-5compat-dev (>= 6.5.0~),

## ktorrent 25.07.90

=== debian/changelog ===
ktorrent (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.07.80~),
+               libktorrent-dev (>= 25.07.90~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,

## ktorrent 25.08.0

=== debian/changelog ===
ktorrent (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.07.90~),
+               libktorrent-dev (>= 25.08.0~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,

## ktorrent 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KTorrent VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -20,7 +20,7 @@
 
 set (QT_MIN_VERSION "6.7.0")
 set (KF_MIN_VERSION "5.240.0")
-set (LIBKTORRENT_MIN_VERSION "25.03.70")
+set (LIBKTORRENT_MIN_VERSION "25.07.70")
 set (Boost_MIN_VERSION "1.71.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

=== ktmagnetdownloader/CMakeLists.txt ===
add_executable(ktmagnetdownloader)
ecm_mark_nongui_executable(ktmagnetdownloader)

target_sources(ktmagnetdownloader PRIVATE magnetdownloader.cpp magnettest.cpp)

target_link_libraries(ktmagnetdownloader ktcore Qt::Widgets Qt::Network)

install(TARGETS ktmagnetdownloader ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libktcore/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 (c) Jack Hill <jackhill3103@gmail.com>
# SPDX-License-Identifier: GPL-2.0-or-later

include(ECMAddTests)

set(groupManagerTest_SOURCES
    groupmanagertest.cpp
)

ecm_add_test(${groupManagerTest_SOURCES}
    TEST_NAME "groupManagerTest"
    LINK_LIBRARIES Qt::Test ktcore
)

set(groupTreeModelTest_SOURCES
    grouptreemodeltest.cpp
)

ecm_add_test(${groupTreeModelTest_SOURCES}
    TEST_NAME "groupTreeModelTest"
    LINK_LIBRARIES Qt::Test ktcore
)

ecm_add_test(magnetmanagertest.cpp
    TEST_NAME "magnetManagerTest"
    LINK_LIBRARIES Qt::Test ktcore
)

=== plugins/ipfilter/CMakeLists.txt ===
ktorrent_add_plugin(IPFilterPlugin)

find_package(KF6Archive ${KF_MIN_VERSION} REQUIRED)

target_sources(IPFilterPlugin PRIVATE
    ipblocklist.cpp
    ipblockingprefpage.cpp
    convertthread.cpp
    convertdialog.cpp
    ipfilterplugin.cpp
    downloadandconvertjob.cpp
)

ki18n_wrap_ui(IPFilterPlugin ipblockingprefpage.ui convertdialog.ui)
kconfig_add_kcfg_files(IPFilterPlugin ipfilterpluginsettings.kcfgc)

target_link_libraries(
    IPFilterPlugin
    ktcore
    KTorrent6
    KF6::Archive
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOWidgets
    KF6::Notifications
    KF6::TextWidgets
    KF6::WidgetsAddons
)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== plugins/upnp/CMakeLists.txt ===
ktorrent_add_plugin(UPnPPlugin)

target_sources(UPnPPlugin PRIVATE
    upnpplugin.cpp
    upnpwidget.cpp
    routermodel.cpp
)

ki18n_wrap_ui(UPnPPlugin upnpwidget.ui)
kconfig_add_kcfg_files(UPnPPlugin upnppluginsettings.kcfgc)

target_link_libraries(
    UPnPPlugin
    ktcore
    KTorrent6
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::WidgetsAddons
)

=== debian/changelog ===
ktorrent (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:01 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                libkf6widgetsaddons-dev (>= 5.240.0~),
                libkf6windowsystem-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libktorrent-dev (>= 25.08.0~),
+               libktorrent-dev (>= 25.08.1~),
                libmaxminddb-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
